[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'heaptrc' (#rtl)

# printleakedblock

Print memory dump of leaked blocks ?

## Declaration

Source position: heaptrc.pp line 91

`const printleakedblock: Boolean = False;`

## Description

printleakedblock can be set to True to print a memory dump of unreleased blocks when the heaptrc unit produces a summary of memory leaks. The block is printed as a series of hexadecimal numbers, representing the bytes in the memory block. At most maxprintedblocklength bytes of the memory block will be printed.

## See also

maxprintedblocklength |  | Maximum length of memory block dumps.
printfaultyblock |  | Print memory dump of faulty blocks ?